Convert to multi-sig
curl --request POST \
--url https://api.hyperliquid.xyz/exchange \
--header 'Content-Type: application/json' \
--data '
{
"action": {
"type": "convertToMultiSigUser",
"hyperliquidChain": "Mainnet",
"signatureChainId": "0xa4b1",
"signers": "{\"authorizedUsers\":[{\"address\":\"0x1234567890abcdef1234567890abcdef12345678\"},{\"address\":\"0xabcdef1234567890abcdef1234567890abcdef12\"}],\"threshold\":2}",
"nonce": 1705234567890
},
"nonce": 1705234567890,
"signature": {
"r": "0x0000000000000000000000000000000000000000000000000000000000000000",
"s": "0x0000000000000000000000000000000000000000000000000000000000000000",
"v": 27
},
"vaultAddress": null
}
'import requests
url = "https://api.hyperliquid.xyz/exchange"
payload = {
"action": {
"type": "convertToMultiSigUser",
"hyperliquidChain": "Mainnet",
"signatureChainId": "0xa4b1",
"signers": "{\"authorizedUsers\":[{\"address\":\"0x1234567890abcdef1234567890abcdef12345678\"},{\"address\":\"0xabcdef1234567890abcdef1234567890abcdef12\"}],\"threshold\":2}",
"nonce": 1705234567890
},
"nonce": 1705234567890,
"signature": {
"r": "0x0000000000000000000000000000000000000000000000000000000000000000",
"s": "0x0000000000000000000000000000000000000000000000000000000000000000",
"v": 27
},
"vaultAddress": None
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
action: {
type: 'convertToMultiSigUser',
hyperliquidChain: 'Mainnet',
signatureChainId: '0xa4b1',
signers: '{"authorizedUsers":[{"address":"0x1234567890abcdef1234567890abcdef12345678"},{"address":"0xabcdef1234567890abcdef1234567890abcdef12"}],"threshold":2}',
nonce: 1705234567890
},
nonce: 1705234567890,
signature: {
r: '0x0000000000000000000000000000000000000000000000000000000000000000',
s: '0x0000000000000000000000000000000000000000000000000000000000000000',
v: 27
},
vaultAddress: null
})
};
fetch('https://api.hyperliquid.xyz/exchange', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"response": {}
}Hyperliquid node API
convertToMultiSigUser | Hyperliquid exchange
Converts the user’s account to a multi-signature account requiring multiple signers for authorization. Hyperliquid exchange via Chainstack.
POST
/
exchange
Convert to multi-sig
You can only use this endpoint on the official Hyperliquid public API. It is not available through Chainstack, as the open-source node implementation does not support it yet. See Hyperliquid methods for the full availability breakdown.
This endpoint requires signature authentication. See our comprehensive Authentication via Signatures guide for implementation details.
Get your own node endpoint todayStart for free and get your app to production levels immediately. No credit card required.You can sign up with your GitHub, X, Google, or Microsoft account.
Parameters
Required parameters
action(object, required) — The action object containing:type(string) — Must be"convertToMultiSigUser"signers(array) — Array of signer addressesthreshold(integer) — Number of required signatures
nonce(number, required) — Current timestamp in milliseconds (must be recent)signature(object, required) — EIP-712 signature of the action
Optional parameters
vaultAddress(string, optional) — Address when trading on behalf of a vault or subaccount
Returns
Returns an object with the action status:status—"ok"if request processedresponse— Contains action result data
Example request
curl -X POST https://api.hyperliquid.xyz/exchange \
-H "Content-Type: application/json" \
-d '{
"action": {"type": "convertToMultiSigUser"},
"nonce": 1234567890123,
"signature": {...}
}'
import eth_account
from hyperliquid.exchange import Exchange
from hyperliquid.utils import constants
# Load the wallet that authorizes the conversion
wallet = eth_account.Account.from_key("YOUR_PRIVATE_KEY")
# Public Hyperliquid mainnet endpoint
exchange = Exchange(wallet, constants.MAINNET_API_URL)
# Convert the account to multi-sig with a list of authorized signers and a threshold
result = exchange.convert_to_multi_sig_user(
authorized_users=[
"0x0000000000000000000000000000000000000001",
"0x0000000000000000000000000000000000000002",
"0x0000000000000000000000000000000000000003",
],
threshold=2,
)
print(result)
import { ExchangeClient, HttpTransport } from "@nktkas/hyperliquid";
import { privateKeyToAccount } from "viem/accounts";
// Load the wallet that authorizes the conversion
const wallet = privateKeyToAccount("0x...");
// Public Hyperliquid mainnet endpoint
const transport = new HttpTransport();
const exchange = new ExchangeClient({ transport, wallet });
// Convert the account to multi-sig with a list of authorized signers and a threshold
const result = await exchange.convertToMultiSigUser({
signers: {
authorizedUsers: [
"0x0000000000000000000000000000000000000001",
"0x0000000000000000000000000000000000000002",
"0x0000000000000000000000000000000000000003",
],
threshold: 2,
},
});
console.log(result);
Use case
- Convert to multi-sig — Converts the user’s account to a multi-signature account requiring multiple signers for authorization.
Always ensure your system clock is synchronized. Nonce must be within a reasonable time window of the current server time or the request will be rejected.
Body
application/json
Last modified on June 24, 2026
Was this page helpful?
⌘I